{% extends "base.html" %}

{% block content %}
    <h3>{{ title }}</h3>
    <hr>
    <br>
    <div class="row">

        <div class="col-6">
            <p class="h5">Current IP configuration</p>


            <table class="table">
                <thead class="thead-dark">
                <tr>
                    <th scope="col">IPv4 Address</th>
                    <th scope="col">IPv4 Netmask</th>
                    <th scope="col">IPv4 Gateway</th>
                    <th scope="col">IPv6 Address</th>
                    <th scope="col">IPv6 Gateway</th>
                    <th scope="col">Nameservers</th>
                    <th scope="col">Bootproto</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>{{ ip['ipv4']['addr'] }}</td>
                    <td>{{ ip['ipv4']['netmask'] }}</td>
                    <td>{{ gw['ipv4'] }}</td>
                    <td>{{ ip['ipv6']['addr'] }}</td>
                    <td>{{ gw['ipv6'] }}</td>
                    <td>{{ ",".join(ns) }}</td>
                    <td>{{ bootproto }}</td>
                </tr>
                </tbody>
            </table>
            <hr>
            <form class="text-center border border-light p-5" action="" method="post">
                {{ form.hidden_tag() }}
                <p class="h4 mb-4">{{ title }}</p>

                <hr>
                <p class="h6 mb-6">Configure a static IP on interface br-wan (eth0)</p>

                <div class="alert alert-danger" role="alert">
                    Be careful! Your settings will be written to the system immediately. Make sure your system will
                    still be reachable!
                </div>

                <div class="form-group text-left">
                    <label for="{{ form.ipv4_addr.id }}">IPv4 Address</label>
                    {% if form.ipv4_addr.errors %}
                        {{ form.ipv4_addr(size=15, class="form-control is-invalid", placeholder="IPv4 Address") }}
                        <div class="invalid-feedback">{{ form.ipv4_addr.errors[0] }}</div>
                    {% else %}
                        {{ form.ipv4_addr(size=15, class="form-control", placeholder="IPv4 Address") }}
                    {% endif %}
                </div>

                <div class="form-group text-left">
                    <label for="{{ form.ipv4_netmask.id }}">IPv4 Subnet Mask</label>
                    {% if form.ipv4_netmask.errors %}
                        {{ form.ipv4_netmask(size=15, class="form-control is-invalid", placeholder="IPv4 Subnet Mask") }}
                        <div class="invalid-feedback">{{ form.ipv4_netmask.errors[0] }}</div>
                    {% else %}
                        {{ form.ipv4_netmask(size=15, class="form-control", placeholder="IPv4 Subnet Mask") }}
                    {% endif %}
                </div>

                <div class="form-group text-left">
                    <label for="{{ form.ipv4_gateway.id }}">IPv4 Gateway</label>
                    {% if form.ipv4_gateway.errors %}
                        {{ form.ipv4_gateway(size=15, class="form-control is-invalid", placeholder="IPv4 Gateway") }}
                        <div class="invalid-feedback">{{ form.ipv4_gateway.errors[0] }}</div>
                    {% else %}
                        {{ form.ipv4_gateway(size=15, class="form-control", placeholder="IPv4 Gateway") }}
                    {% endif %}
                </div>

                <div class="form-group text-left">
                    <label for="{{ form.ipv6_addr.id }}">IPv6 Address</label>
                    {% if form.ipv6_addr.errors %}
                        {{ form.ipv6_addr(size=15, class="form-control is-invalid", placeholder="IPv6 Address (or leave empty)") }}
                        <div class="invalid-feedback">{{ form.ipv6_addr.errors[0] }}</div>
                    {% else %}
                        {{ form.ipv6_addr(size=15, class="form-control", placeholder="IPv6 Address") }}
                    {% endif %}
                </div>

                <div class="form-group text-left">
                    <label for="{{ form.ipv6_gateway.id }}">IPv6 Gateway</label>
                    {% if form.ipv6_gateway.errors %}
                        {{ form.ipv6_gateway(size=15, class="form-control is-invalid", placeholder="IPv6 Gateway (or leave empty)") }}
                        <div class="invalid-feedback">{{ form.ipv6_gateway.errors[0] }}</div>
                    {% else %}
                        {{ form.ipv6_gateway(size=15, class="form-control", placeholder="IPv6 Gateway") }}
                    {% endif %}
                </div>

                <div class="form-group text-left">
                    <label for="{{ form.dns1.id }}">DNS 1</label>
                    {% if form.dns1.errors %}
                        {{ form.dns1(size=15, class="form-control is-invalid", placeholder="DNS 1") }}
                        <div class="invalid-feedback">{{ form.dns1.errors[0] }}</div>
                    {% else %}
                        {{ form.dns1(size=15, class="form-control", placeholder="DNS 1") }}
                    {% endif %}
                </div>

                <div class="form-group text-left">
                    <label for="{{ form.dns2.id }}">DNS 2</label>
                    {% if form.dns2.errors %}
                        {{ form.dns2(size=15, class="form-control is-invalid", placeholder="DNS 2") }}
                        <div class="invalid-feedback">{{ form.dns2.errors[0] }}</div>
                    {% else %}
                        {{ form.dns2(size=15, class="form-control", placeholder="DNS 2") }}
                    {% endif %}
                </div>


                <hr>
                <!-- Send button -->
                {{ form.submit(class="btn btn-primary btn-block") }}

            </form>
        </div>
    </div>

{% endblock %}